X2Go Bug report logs - #306
broker (daemon mode) crashes when there is a problem executing a remote agent

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 12 Sep 2013 12:03:01 UTC

Severity: important

Tags: pending

Found in version 0.0.2.3

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#306: X2Go issue (in src:x2gobroker) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 306-quiet@bugs.x2go.org
Resent-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 18 Sep 2013 21:29:12 +0000
Resent-Message-ID: <handler.306.U306.137953972815777@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 306
X-X2Go-PR-Package: x2gobroker
X-X2Go-PR-Keywords: pending
Received: via spool by 306-submitter@bugs.x2go.org id=U306.137953972815777
          (code U ref 306); Wed, 18 Sep 2013 21:29:12 +0000
Received: (at 306-submitter) by bugs.x2go.org; 18 Sep 2013 21:28:48 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=ham version=3.3.2
Received: by ymir (Postfix, from userid 1005)
	id 5355B5DB21; Wed, 18 Sep 2013 23:28:48 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 306-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 306@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20130918212848.5355B5DB21@ymir>
Date: Wed, 18 Sep 2013 23:28:48 +0200 (CEST)
tag #306 pending
fixed #306 0.0.3.0
thanks

Hello,

X2Go issue #306 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=98a3df6

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 98a3df64e2c149490afa98293e22c3882f57b6f5
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Sep 18 23:28:36 2013 +0200

    Do not let the broker crash if an agent is not reachable. Capture X2GoBrokerAgentExceptions when pinging the remote agent. (Fixes: #306).

diff --git a/debian/changelog b/debian/changelog
index 9628994..1424b3f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -10,6 +10,8 @@ x2gobroker (0.0.3.0-0~x2go1) UNRELEASED; urgency=low
     - Get the cookie based extra-authentication working for SSH mode.
     - Get the cookie based extra-authentication working for HTTP mode.
     - Fix output of HTTP based connectivity test.
+    - Do not let the broker crash if an agent is not reachable. Capture
+      X2GoBrokerAgentExceptions when pinging the remote agent. (Fixes: #306).
   * /debian/control:
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.
 

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Oct 27 00:23:40 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.